Export custom code system
GET
/construe/codes/systems/{codesystem}/exportExports a custom (non-builtin) code system as a JSON file compatible with the upload format. The exported file can be re-uploaded directly via POST /construe/upload with format "json". Only available on dedicated instances. Builtin systems cannot be exported.
RequiresBearerauthentication
Path parameters
codesystemstringrequiredCode system name
Query parameters
versionstringoptionalSpecific version of the code system. Required if multiple versions exist.
Returns
Exported code system as JSON file
Response fields
namestringrequiredCode system name
versionstringrequiredCode system version
formatstringrequiredUpload format (always "json")
jsoncodesobject[]requiredAll codes in the system
codestringrequiredThe code identifier
descriptionstringrequiredShort description of the code
definitionstringoptionalExtended definition of the code (if available)
GETRequest
200 OKResponse